<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);
function Plugin_bannerTypeHtml_DynamicFloorAds_FloorAds_Delivery_adRender(
    &$aBanner,
    $zoneId = 0,
    $source = "",
    $ct0 = "",
    $withText = false,
    $logClick = true,
    $logView = true,
    $useAlt = false,
    $loc = false,
    $referer =false,
) {
    $pagename = basename($_SERVER["PHP_SELF"]);

    if ($GLOBALS["_MAX"]["CONF"]["database"]["type"] == "pgsql") {
        require_once MAX_PATH . "/lib/OA/Dal/Delivery/pgsql.php";
    } elseif ($GLOBALS["_MAX"]["CONF"]["database"]["type"] == "mysqli") {
        require_once MAX_PATH . "/lib/OA/Dal/Delivery/mysqli.php";
    }
    $table_prefix = $GLOBALS["_MAX"]["CONF"]["table"]["prefix"];

   
    $djprotocol = "http://";
    $conf = $GLOBALS["_MAX"]["CONF"];
   
    $aBanner["bannerContent"] = $imageUrl =
        $djprotocol .
        $conf["webpath"]["admin"] .
        "/plugins/DynamicfloorAds/images/";
    $aBanner["alt_contenttype"] = $alt_imageurl =
        $djprotocol . $conf["webpath"]["images"];


        $floorads_values = unserialize($aBanner["parameters"]);
      

        $values = [];
        //~ $imgData = array();
        if (isset($floorads_values)) {
            $values["banner_count"] = $floorads_values["banner_count"];
            $bannerInfo = $floorads_values["banner_info"];
            
            $j = 1;
            foreach ($bannerInfo as $k => $bnr_info) {
               
                $values["image" . $j] = isset($bnr_info["image" . $j])
                    ? $bnr_info["image" . $j]
                    : "";
                $values["image_url" . $j] = isset($bnr_info["image_url" . $j])
                    ? $bnr_info["image_url" . $j]
                    : "";
                    $values["width" . $j] = isset($bnr_info["width" . $j])
                    ? $bnr_info["width" . $j]
                    : "";
                    $values["height" . $j] = isset($bnr_info["height" . $j])
                    ? $bnr_info["height" . $j]
                    : "";
                $values["thirdparty" . $j] = isset($bnr_info["thirdparty" . $j])
                    ? $bnr_info["thirdparty" . $j]
                    : "";
                ++$j;
            }
        }



    // Create the image tag...
    if (!empty($imageUrl) && !empty($alt_imageurl)) {
        $imgStatus = empty($clickTag) && !empty($status) ? $status : "";
        $width = !empty($aBanner["width"]) ? $aBanner["width"] : 0;
        $height = !empty($aBanner["height"]) ? $aBanner["height"] : 0;
        $alt = !empty($aBanner["alt"])
            ? htmlspecialchars($aBanner["alt"], ENT_QUOTES)
            : "";
        $clickUrl = _adRenderBuildClickUrl(
            $aBanner,
            $zoneId,
            $source,
            $ct0,
            $logClick
        );
        $LogUrl = _adRenderBuildLogUrl(
            $aBanner,
            $zoneId,
            $source,
            $loc =false,
            $referer,
            $amp = "&amp;",
            $fallBack = false
        );

      
        $aBanner["url"] = $values["image_url1"];
        $ClickLog[1] = _adRenderBuildClickUrl(
            $aBanner,
            $zoneId,
            $source,
            $ct0,
            $logClick = true,
            $overrideDest = false
        );
        $aBanner["url"] = $values["image_url2"];
        $ClickLog[2] = _adRenderBuildClickUrl(
            $aBanner,
            $zoneId,
            $source,
            $ct0,
            $logClick = true,
            $overrideDest = false
        );

        if (!empty($clickUrl)) {
            $status = _adRenderBuildStatusCode($aBanner);
            $clickTag =
                "<a href='" .
                htmlspecialchars($clickUrl, ENT_QUOTES) .
                "' target='{target}'$status>";
            $clickTagEnd = "</a>";
        } else {
            $clickTag = "";
            $clickTagEnd = "";
        }
        $imageTag =
            "$clickTag<img  class='imgPic' src='" .
            htmlspecialchars($imageUrl, ENT_QUOTES) .
            "' width='100' height='100' alt='$alt' title='$alt' border='0'$imgStatus />$clickTagEnd";
        $imageTag_alt =
            "<img src='" .
            htmlspecialchars($alt_imageurl, ENT_QUOTES) .
            "' alt='$alt' title='$alt'  />";

        $confimg = $djprotocol . $GLOBALS["_MAX"]["CONF"]["webpath"]["images"];
        $delivery_path = $djprotocol . $conf["webpath"]["delivery"];

        $jquery = $djprotocol . $conf["webpath"]["admin"];
        $jquery_file = $jquery . "/plugins/DynamicfloorAds/js/jquery.min.js";
        $imgpath =
            $djprotocol .
            $conf["webpath"]["admin"] .
            "/plugins/DynamicfloorAds/images/";
        $plugin_delpath = "/plugins/DynamicfloorAds/delivery/";

       
        
        $images[1] = $confimg . "/" . $values["image1"];
        $images[2] = $confimg . "/" . $values["image2"];
        
        
     

        $length = sizeof($values);
        $image_path = [];
        $third_party_tag = [];
        for ($i = 1; $i <= $values["banner_count"]; $i++) {
            if (!empty($values["third_party_tag" . $i])) {
                $image_path[$i] =
                    '<div class="floor" id="floor' .
                    $i .
                    '"><center>' .
                    htmlspecialchars_decode($values["third_party_tag" . $i]) .
                    "</center></div>";
            } else {
               
                    if($values["image_url" . $i] != '')
                    {
                $image_path[$i] =
                    '<a href="' .
                $values["image_url" . $i] .'" target="blank"><div><img class="floor" id= "floor' . $i . '" src="' .
                    $images[$i] .
                    '" width="'.$values["width" . $i].'px" height="'.$values["height" . $i].'px";></div></a>';
                    }
                    else
                    {
                        $image_path[$i] =
                    '<div><img class="floor" id= "floor' . $i . '" src="' .
                    $images[$i] .
                    '" width="'.$values["width" . $i].'px" height="'.$values["height" . $i].'px";></div>';
                    }
                
               
            }
        }
    //     echo("<pre>");
    //    print_r($values["width1"]);
    //    exit;
        $rand = rand(1000, 99999);
        if ($values["banner_count"] > 0) {
            $content =
                '<style>
			body
			{
				margin: 0px;
			}
			#floor1,#floor2,#floor3
			{
				
				box-shadow: 0px -2px 10px grey;
			}
			#floor_wrapper
			{
				display: inline-block;
				position: relative;
				bottom: 0 !important;
				//width: 100%;
				z-index: 999;
				left:0 !important;
			}
			#exit_main 
			{
				position: fixed;
				top: 93%;
				left: 44%;
				
			}
            #floor_img1
            {
                width:'.$values["width1"].'px;
                height:'.$values["height1"].'px;
            }
            #floor_img2
            {
                width:'.$values["width2"].'px;
                height:'.$values["height2"].'px;
            }

		</style>


		<script type="text/javascript">
			if(!window.jQuery)
			{
			   var script = document.createElement("script");
			   script.type = "text/javascript";
			   script.onload = exp_' .
                $rand .
                ';
			   script.src = "' .
                $jquery_file .
                '";
			   document.getElementsByTagName("head")[0].appendChild(script);
			  
			}
			else
			{
				exp_' . $rand .'();
			}

			function exp_' .$rand .'()
			{
			  $(document).ready(function()
			  {
               
				var counts = "' .
                ($values["image2"] =="" ? 1 : 2) . '";
				if(counts == 1)
				{
                    
                    $("#pop1").show();
                    $("#floor1").show();
                    $("#pop2").hide();
				  $("#floor2").hide();
				}else{
                    $("#floor1").hide();
                    $("#pop1").hide();
                    if("'.$values["image1"].'" !="")
                    {
                        $("#floor1").show(); 
                        $("#pop1").show();
                    }
                   
					
					$("#floor2").show();
				}
				$(".floor_wrap_' .
                $rand .
                '").show();
				
				$("#pop1").click(function()
				{
					$("#floor_img1").fadeOut();
				});
				
				$("#pop2").click(function()
				{
					$("#floor_img2").fadeOut();
				});

				
			});
				
			}
		</script>
		<div id="floor_wrapper" class="floor_wrap_' .
                $rand .
                '" style="display:none;">
			<div id="floor_img1">
					<div id="exit_floor1">
						<img src="' .
                $imgpath .
                'close.png" id="pop1" style="cursor:pointer; width:20px; z-index: 999; margin-left: 98%;" >		
					</div>
				   <div id="floor_ad">

							
								' .
                $image_path[1] .
                '
							
						</a>
					</div>
			</div>	
			<div id="floor_img2" width="'.$values["width2"].'px" height="'.$values["height2"].'px">
					<div id="exit_floor2">
						<img src="' .
                $imgpath .
                'close.png" id="pop2" style="cursor:pointer; width:20px; z-index: 999; margin-left: 98%;" >		
					</div>
				   <div id="floor_ad">
							
								' .
                $image_path[2] .
                '
							
						</a>
					</div>
			</div>
	
			  
			<img src = "' .
                $LogUrl .
                '" style="overflow:hidden;display:none">

		  </div>';
        } else {
            $content = "";
        }

         
        return $content;
    }
}
