<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once LIB_PATH . '/Extension/invocationTags/InvocationTags.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';
require_once MAX_PATH . '/www/admin/lib-zones.inc.php';


/**
 *
 * Invocation tag plugin.
 *
 */
class Plugins_InvocationTags_OxInvocationTags_FloorAds extends Plugins_InvocationTags
{


   

    /**
     * Return name of plugin
     *
     * @return string
     */
    function getName()
    {
        return $this->translate("Floor Ads");
    }

    /**
     * Return the English name of the plugin. Used when
     * generating translation keys based on the plugin
     * name.
     *
     * @return string An English string describing the class.
     */
    function getNameEN()
    {
        return 'Floor Ads';
    }

    /**
     * Check if plugin is allowed
     *
     * @return boolean  True - allowed, false - not allowed
     */
    function isAllowed($extra = null)
    {
		return true;
        
    }

    function getOrder()
    {
        parent::getOrder();
        return 17;
    }

    /**
     * Return list of options
     *
     * @return array    Group of options
     */
    function getOptionsList()
    {
        if (is_array($this->defaultOptions)) {
            if (in_array('cacheBuster', $this->defaultOptions)) {
                unset($this->defaultOptions['cacheBuster']);
            }
        }
        $options = array (
            'position'=> 1
            // 'height1'=>2,
            // 'width1'=>3,
        
        );
        return $options;
    }


    function position()
    {
        $maxInvocation = &$this->maxInvocation;
        $position = (!empty($maxInvocation->position)) ? $maxInvocation->position :$_POST['position'];;
        $option = '';
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";
        $option .= "<tr><td width='30'>&nbsp;</td>
        <td width='200'>Dynamic floor Ad position</td><td width='370'>
        <select name='position' tabindex='".($maxInvocation->tabindex++)."'>
         <option value=''>-----Select-----</option>
         <option value='top'".($position=='top'?"selected='selected'":''). ">Top</option>
         <option value='bottom'".($position=='bottom'?"selected='selected'":''). ">Bottom</option>
        </select></tr>";
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";

        return $option;
    }
   /* function height1()
    {
        $maxInvocation = &$this->maxInvocation;
        
        $height1 = (!empty($maxInvocation->height1)) ? $maxInvocation->height1 :$_POST['height1'];;
        $option = '';
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";
        $option .= "<tr><td width='30'>&nbsp;</td>
        <td width='200'>Dynamic floor ad height</td><td width='370'>
       <input type='text'  name='height1'  value='".(isset($maxInvocation->height1) ? $maxInvocation->height1 : '')."' style='width:50px;' tabindex='".($maxInvocation->tabindex++)."'></td></tr>";
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";

        return $option;
    }
    function width1()
    {
        $maxInvocation = &$this->maxInvocation;
        $width1 = (!empty($maxInvocation->width1)) ? $maxInvocation->width1 :$_POST['width1'];;
        $option = '';
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";
        $option .= "<tr><td width='30'>&nbsp;</td>
        <td width='200'>Dynamic floor ad width</td><td width='370'>
       <input type='text'  name='width1'  value='".(isset($maxInvocation->width1) ? $maxInvocation->width1 : '')."' style='width:50px;' tabindex='".($maxInvocation->tabindex++)."'></td></tr>";
        $option .= "<tr><td width='30'><img src='" . OX::assetPath(). "/images/spacer.gif' height='5' width='100%'></td></tr>";

        return $option;
    }*/
    /**
     * Return invocation code for this plugin (codetype)
     *
     * @return string
     */
    function generateInvocationCode()
    {
        $aComments = array(
            'SSL Delivery Comment' => '',
            'Comment'              => $this->translate("
          * This noscript section of this tag only shows image banners. There
          * is no width or height in these banners, so if you want these tags to
          * allocate space for the ad before it shows, you will need to add this
          * information to the <img> tag.
          *
          * If you do not want to deal with the intricities of the noscript
          * section, delete the tag (from <noscript>... to </noscript>). On
          * average, the noscript tag is called from less than 1% of internet
          * users."),
                    );
            
        parent::prepareCommonInvocationData($aComments);

        /*VIDEO JS*/ 

        $conf = $GLOBALS['_MAX']['CONF'];
        $mi = &$this->maxInvocation;
        $zoneid=$mi->zoneid;
        $position=$mi->position;
        // $height=$mi->height;
        // $width=$mi->width;
        $row=$mi->row;
        $column=$mi->column;
        $refresh=$mi->refresh;

        if (isset($_POST['position']) && !empty($_POST['position'])) {
            $mi->parameters['position'] = "position=".$_POST['position'];
            $position = $_POST['position'];
        }else
        {
            $position ="bottom";
        } 
        // if (isset($_POST['height1']) && !empty($_POST['height1'])) {
        //     $mi->parameters['height1'] = "height1=".$_POST['height1'];
        //     $height1= $_POST['height1'];
        // }
        // if (isset($_POST['width1']) && !empty($_POST['width1'])) {
        //     $mi->parameters['width1'] = "width1=".$_POST['width1'];
        //     $width1 = $_POST['width1'];
        // }
        
        
        $way=$conf['webpath']['admin'].'/plugins/DynamicfloorAds/delivery/floorads.php';
        $buffer  = "<script type='text/javascript'><!--//<![CDATA[
        var adurl = (location.protocol=='https:'?'https://$way':'http://$way');
        document.write (\"<\" + \"script language='JavaScript' \");
        document.write (\"type='text/javascript' src='\"+adurl);
        document.write (\"?zoneid={$zoneid}\");   
        document.write (\"&amp;position={$position}\");\n";

        $buffer .= "   document.write (\"&amp;loc=\" + escape(window.location));\n";
        $buffer .= "   if (document.referrer) document.write (\"&amp;referer=\" + escape(document.referrer));\n";
        $buffer .= "   document.write (\"&amp;display_width=\" + window.innerWidth);\n";
           
        $buffer .= "   document.write (\"'><\\/scr\"+\"ipt>\");\n";
        $buffer .= "//]]>--></script>"; 

        return $buffer;
    }
 
    function setInvocation(&$invocation) {

        $this->maxInvocation = &$invocation;
        $this->maxInvocation->canDetectCharset = true;

    }


}

?>